import javax.enterprise.context.ApplicationScoped;
import javax.enterprise.event.Observes;

@ApplicationScoped
public class AppScopeBean implements AnInterface
{
    private int anInt = 5;

    /**
     * Change this from private to protected and see that the correct object is invoked.
     */
    protected void observer(@Observes AnEvent event)
    {
        System.out.println("Got event,   this=" + Main.identityToString(this) + " <= should be org.jboss.weld.proxies.AppScopeBean$Proxy$_$$_WeldSubclass");
        System.out.println("Got event,   anInt=" + anInt + " <= should be 5");
    }

    public void doSomething()
    {
        System.out.println("doSomething, this=" + Main.identityToString(this) + ", anInt=" + anInt);
    }
}
