import javax.decorator.Decorator;
import javax.decorator.Delegate;
import javax.inject.Inject;

/**
 * Simple decorator to exhibit the issue.
 */
@Decorator
public class MyDecorator implements AnInterface
{
    @Inject
    @Delegate
    AnInterface delegate;

    public void doSomething()
    {
        System.out.println("doSomething decorator, delegate=" + Main.identityToString(delegate));
        delegate.doSomething();
    }
}
